# Tomcat
server:
  port: 8080

# Spring
spring:
  application:
    # 应用名称
    name: microservices-wiki
    config:
      activate:
        # 环境配置
        on-profile:
          prod
  cloud:
    sentinel:
      # 取消控制台懒加载
      eager: true
    nacos:
      discovery:
        # 服务注册地址
        server-addr: ${nacos_ip}:${nacos_port}
        username: ${nacos_username}
        password: ${nacos_password}
      config:
        # 配置中心地址
        server-addr: ${nacos_ip}:${nacos_port}
        username: ${nacos_username}
        password: ${nacos_password}
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
